ros-foxy-pcl-ros (2.2.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Paul Bovbel <paul@bovbel.com>  Tue, 14 Sep 2021 21:25:42 -0000

ros-foxy-pcl-ros (1.6.2-1focal) focal; urgency=high

  * Fix exported includes in Ubuntu Artful
  * Increase limits on CropBox filter parameters
  * Contributors: James Ward, Jiri Horner

 -- Paul Bovbel <paul@bovbel.com>  Sun, 20 May 2018 07:00:00 -0000

ros-foxy-pcl-ros (1.6.1-1focal) focal; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Fix the use of Eigen3 in cmake
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 May 2018 07:00:00 -0000

ros-foxy-pcl-ros (1.6.0-1focal) focal; urgency=high

  * Fix build and update maintainers
  * Add message_filters to find_package
  * Remove unnecessary dependency on genmsg
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Apr 2018 07:00:00 -0000

ros-foxy-pcl-ros (1.5.4-1focal) focal; urgency=high

  * update to use non deprecated pluginlib macro
  * Fix config path of sample_voxel_grid.launch
  * remove hack now that upstream pcl has been rebuilt
  * Looser hzerror in test for extract_clusters to make it pass on Travis
  * Add sample & test for surface/convex_hull
  * Add sample & test for segmentation/extract_clusters.cpp
  * Add sample & test for io/concatenate_data.cpp
  * Add sample & test for features/normal_3d.cpp
  * Organize samples of pcl_ros/features
  * Add test arg to avoid duplicated testing
  * LazyNodelet for features/*
  * LazyNodelet for filters/ProjectInliers
  * Refactor io/PCDReader and io/PCDWriter as child of PCLNodelet
  * LazyNodelet for io/PointCloudConcatenateFieldsSynchronizer
  * LazyNodelet for io/PointCloudConcatenateDataSynchronizer
  * LazyNodelet for segmentation/SegmentDifferences
  * LazyNodelet for segmentation/SACSegmentationFromNormals
  * LazyNodelet for segmentation/SACSegmentation
  * LazyNodelet for segmentation/ExtractPolygonalPrismData
  * LazyNodelet for segmentation/EuclideanClusterExtraction
  * LazyNodelet for surface/MovingLeastSquares
  * LazyNodelet for surface/ConvexHull2D
  * Add missing COMPONENTS of PCL
  * Inherit NodeletLazy for pipeline with less cpu load
  * Set leaf_size 0.02
  * Install samples
  * Add sample and test for pcl/StatisticalOutlierRemoval
    Conflicts:
    pcl_ros/CMakeLists.txt
  * Add sample and test for pcl/VoxelGrid
    Conflicts:
    pcl_ros/CMakeLists.txt
  * no need to remove duplicates
  * spourious line change
  * remove now unnecessary build_depend on qtbase5
  * exclude PCL IO libraries exporting Qt flag
  * find only PCL components used instead of all PCL
  * Remove dependency on vtk/libproj-dev (#145 <https://github.com/ros-perception/perception_pcl/issues/145>)
    * Remove dependency on vtk/libproj-dev
    These dependencies were introduced in #124 <https://github.com/ros-perception/perception_pcl/issues/124> to temporarily fix
    missing / wrong dependencies in upstream vtk. This hack is no longer
    necessary, since fixed vtk packages have been uploaded to
    packages.ros.org (see #124 <https://github.com/ros-perception/perception_pcl/issues/124> and ros-infrastructure/reprepro-updater#32 <https://github.com/ros-infrastructure/reprepro-updater/issues/32>).
    * Remove vtk hack from CMakeLists.txt
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Paul Bovbel <paul@bovbel.com>  Sat, 31 Mar 2018 07:00:00 -0000

ros-foxy-pcl-ros (1.5.3-1focal) focal; urgency=high

  * Add dependency on qtbase5-dev for find_package(Qt5Widgets)
    See https://github.com/ros-perception/perception_pcl/pull/117#issuecomment-298158272 for detail.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 03 May 2017 07:00:00 -0000

ros-foxy-pcl-ros (1.5.2-1focal) focal; urgency=high

  * Find Qt5Widgets to fix -lQt5::Widgets error
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Sat, 29 Apr 2017 07:00:00 -0000

ros-foxy-pcl-ros (1.5.1-1focal) focal; urgency=high

  * Add my name as a maintainer
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 07:00:00 -0000

ros-foxy-pcl-ros (1.5.0-1focal) focal; urgency=high

  * Fix lib name duplication error in ubunt:zesty
  * Detect automatically the version of PCL in cmake
  * Install xml files declaring nodelets
  * Fix syntax of nodelet manifest file by splitting files for each library.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Apr 2017 07:00:00 -0000

ros-foxy-pcl-ros (1.4.0-1focal) focal; urgency=high

  * Fixup libproj-dev rosdep
  * Add build depend on libproj, since it's not provided by vtk right now
  * manually remove dependency on vtkproj from PCL_LIBRARIES
  * Remove python-vtk for kinetic-devel, see issue #44 <https://github.com/ros-perception/perception_pcl/issues/44>
  * Contributors: Jackie Kay, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 22 Apr 2016 07:00:00 -0000

ros-foxy-pcl-ros (1.3.0-1focal) focal; urgency=high

  * cleanup broken library links
    All removed library names are included in ${PCL_LIBRARIES}.
    However, the plain library names broke catkin's overlay mechanism:
    Where ${PCL_LIBRARIES} could point to a local installation of the PCL,
    e.g. pcd_ros_segmentation might still link to the system-wide installed version
    of pcl_segmentation.
  * Fixed test for jade-devel. Progress on #92 <https://github.com/ros-perception/perception_pcl/issues/92>
  * commented out test_tf_message_filter_pcl
    Until ros/geometry#80 <https://github.com/ros/geometry/issues/80> has been merged the test will fail.
  * fixed indentation and author
  * Adds a test for tf message filters with pcl pointclouds
  * specialized HasHeader, TimeStamp, FrameId
    - HasHeader now returns false
    - TimeStamp and FrameId specialed for pcl::PointCloud<T> for any point type T
    These changes allow to use pcl::PointCloud with tf::MessageFilter
  * Sync pcl_nodelets.xml from hydro to indigo
    Fixes to pass catkin lint -W1
  * Fixes #87 <https://github.com/ros-perception/perception_pcl/issues/87> for Indigo
  * Fixes #85 <https://github.com/ros-perception/perception_pcl/issues/85> for Indigo
  * Fixes #77 <https://github.com/ros-perception/perception_pcl/issues/77> and #80 <https://github.com/ros-perception/perception_pcl/issues/80> for indigo
  * Added option to save pointclouds in binary and binary compressed format
  * Contributors: Brice Rebsamen, Lucid One, Mitchell Wills, v4hn

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Jun 2015 07:00:00 -0000

ros-foxy-pcl-ros (1.2.6-1focal) focal; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-foxy-pcl-ros (1.2.5-1focal) focal; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 08:00:00 -0000

ros-foxy-pcl-ros (1.2.4-1focal) focal; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 08:00:00 -0000

ros-foxy-pcl-ros (1.2.3-1focal) focal; urgency=high

  * Update common.py
    Extended filter limits up to ±100000.0 in order to support intensity channel filtering.
  * Contributors: Dani Carbonell

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 08:00:00 -0000

ros-foxy-pcl-ros (1.2.2-1focal) focal; urgency=high

  * Adding target_frame
    [Ability to specify frame in bag_to_pcd ](https://github.com/ros-perception/perception_pcl/issues/55)
  * Update pcl_nodelets.xml
    Included missing closing library tag.  This was causing the pcl/Filter nodelets below the missing nodelet tag to not be exported correctly.
  * Contributors: Matt Derry, Paul Bovbel, Ruffin

 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 07:00:00 -0000

ros-foxy-pcl-ros (1.2.1-1focal) focal; urgency=high

  * clean up merge
  * merge pull request #60 <https://github.com/ros-perception/perception_pcl/issues/60>
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 13 Sep 2014 07:00:00 -0000

ros-foxy-pcl-ros (1.2.0-1focal) focal; urgency=high

  * Updated maintainership
  * Fix TF2 support for bag_to_pcd #46 <https://github.com/ros-perception/perception_pcl/issues/46>
  * Use cmake_modules to find eigen on indigo #45 <https://github.com/ros-perception/perception_pcl/issues/45>

 -- Paul Bovbel <paul@bovbel.com>  Wed, 09 Apr 2014 07:00:00 -0000

ros-foxy-pcl-ros (1.1.7-1focal) focal; urgency=high

  * adding more uncaught config dependencies
  * adding FeatureConfig dependency too

 -- Paul Bovbel <paul@bovbel.com>  Fri, 20 Sep 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.1.6-1focal) focal; urgency=high

  * add excplicit dependency on gencfg target

 -- Paul Bovbel <paul@bovbel.com>  Fri, 20 Sep 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.1.5-1focal) focal; urgency=high

  * Updated package.xml's to use new libpcl-all rosdep rules
  * package.xml: tuned whitespaces
    This commit removes trailing whitespaces and makes the line with the license information in the package.xml bitwise match exactly the common license information line in most ROS packages.
    The trailing whitespaces were detected when providing a bitbake recipe in the meta-ros project (github.com/bmwcarit/meta-ros). In the recipe, the hash of the license line is declared and is used to check for changes in the license. For this recipe, it was not matching the common one.
    A related already merged commit is https://github.com/ros/std_msgs/pull/3 and a related pending commit is https://github.com/ros-perception/pcl_msgs/pull/1.

 -- Paul Bovbel <paul@bovbel.com>  Tue, 27 Aug 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.1.4-1focal) focal; urgency=high

  * Fix a serialization error with point_cloud headers
  * Initialize shared pointers before use in part of the pcl_conversions
    Should address runtime errors reported in #29 <https://github.com/ros-perception/perception_pcl/issues/29>
  * Changed the default bounds on filters to -1000, 1000 from -5, 5 in common.py

 -- Paul Bovbel <paul@bovbel.com>  Tue, 23 Jul 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.1.2-1focal) focal; urgency=high

  * Fixed missing package exports on pcl_conversions and others
  * Make find_package on Eigen and PCL REQUIRED

 -- Paul Bovbel <paul@bovbel.com>  Fri, 19 Jul 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.1.1-1focal) focal; urgency=high

  * Add missing EIGEN define which caused failures on the farm

 -- Paul Bovbel <paul@bovbel.com>  Wed, 10 Jul 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.1.0-1focal) focal; urgency=high

  * Add missing include in one of the installed headers
  * Refactors to use pcl-1.7
  * Use the PointIndices from pcl_msgs
  * Experimental changes to point_cloud.h
  * Fixes from converting from pcl-1.7, incomplete
  * Depend on pcl_conversions and pcl_msgs
  * bag_to_pcd: check return code of transformPointCloud()
    This fixes a bug where bag_to_pcd segfaults because of an ignored
    tf::ExtrapolationException.
  * Changed #include type to lib
  * Changed some #include types to lib
  * removed a whitespace

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jul 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.0.34-1focal) focal; urgency=high

  * fixing catkin python imports

 -- Paul Bovbel <paul@bovbel.com>  Tue, 21 May 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.0.33-1focal) focal; urgency=high

  * Fixing catkin python imports

 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 May 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.0.32-1focal) focal; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/perception_pcl/issues/11> from k-okada/groovy-devel
    revert removed directories
  * fix to compileable
  * copy features/segmentation/surface from fuerte-devel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 17 May 2013 07:00:00 -0000

ros-foxy-pcl-ros (1.0.31-1focal) focal; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Apr 2013 18:58:00 -0000

ros-foxy-pcl-ros (1.0.30-1focal) focal; urgency=high

  * deprecating bin install targets

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Apr 2013 18:47:00 -0000

ros-foxy-pcl-ros (1.0.29-1focal) focal; urgency=high

  * Fixes #7 <https://github.com/ros-perception/perception_pcl/issues/7>
  * now also works without specifying publishing interval like described in the wiki.

 -- Paul Bovbel <paul@bovbel.com>  Mon, 04 Mar 2013 08:00:00 -0000

ros-foxy-pcl-ros (1.0.28-1focal) focal; urgency=high

  * reenabling deprecated install targets - comment added

 -- Paul Bovbel <paul@bovbel.com>  Tue, 05 Feb 2013 20:29:00 -0000

ros-foxy-pcl-ros (1.0.27-1focal) focal; urgency=high

  * Update pcl_ros/package.xml
  * Fixing target install directory for pcl tools
  * update pluginlib macro

 -- Paul Bovbel <paul@bovbel.com>  Tue, 05 Feb 2013 20:10:00 -0000

ros-foxy-pcl-ros (1.0.26-1focal) focal; urgency=high

  * fixing catkin export

 -- Paul Bovbel <paul@bovbel.com>  Thu, 17 Jan 2013 08:00:00 -0000

ros-foxy-pcl-ros (1.0.25-1focal) focal; urgency=high

  * fixes #1 <https://github.com/ros-perception/perception_pcl/issues/1>

 -- Paul Bovbel <paul@bovbel.com>  Tue, 01 Jan 2013 08:00:00 -0000

ros-foxy-pcl-ros (1.0.24-1focal) focal; urgency=high

  * remove obsolete roslib import

 -- Paul Bovbel <paul@bovbel.com>  Fri, 21 Dec 2012 08:00:00 -0000

ros-foxy-pcl-ros (1.0.23-1focal) focal; urgency=high

  * clean up shared parameters

 -- Paul Bovbel <paul@bovbel.com>  Thu, 20 Dec 2012 00:52:00 -0000

ros-foxy-pcl-ros (1.0.22-1focal) focal; urgency=high

  * fix dyn reconf files

 -- Paul Bovbel <paul@bovbel.com>  Wed, 19 Dec 2012 23:22:00 -0000

ros-foxy-pcl-ros (1.0.21-1focal) focal; urgency=high

  * fixing catkin_package debs

 -- Paul Bovbel <paul@bovbel.com>  Wed, 19 Dec 2012 01:42:00 -0000

ros-foxy-pcl-ros (1.0.20-1focal) focal; urgency=high

  * adding catkin_project dependencies

 -- Paul Bovbel <paul@bovbel.com>  Tue, 18 Dec 2012 22:21:00 -0000

ros-foxy-pcl-ros (1.0.19-1focal) focal; urgency=high

  * adding nodelet_topic_tools dependency

 -- Paul Bovbel <paul@bovbel.com>  Tue, 18 Dec 2012 05:47:00 -0000

ros-foxy-pcl-ros (1.0.18-1focal) focal; urgency=high

  * adding pluginlib dependency
  * adding nodelet dependencies
  * CMake install fixes
  * migrating nodelets and tools from fuerte release to pcl_ros
  * Updated for new <buildtool_depend>catkin<...> catkin rule

 -- Paul Bovbel <paul@bovbel.com>  Tue, 18 Dec 2012 05:17:00 -0000

ros-foxy-pcl-ros (1.0.17-1focal) focal; urgency=high

  * remove useless tags

 -- Paul Bovbel <paul@bovbel.com>  Fri, 26 Oct 2012 16:28:00 -0000

ros-foxy-pcl-ros (1.0.16-1focal) focal; urgency=high

  * no need to depend on a meta-package

 -- Paul Bovbel <paul@bovbel.com>  Fri, 26 Oct 2012 15:53:00 -0000

ros-foxy-pcl-ros (1.0.15-1focal) focal; urgency=high

  * do not generrate messages automatically

 -- Paul Bovbel <paul@bovbel.com>  Wed, 24 Oct 2012 07:00:00 -0000

ros-foxy-pcl-ros (1.0.14-1focal) focal; urgency=high

  * bring back the PCL msgs

 -- Paul Bovbel <paul@bovbel.com>  Tue, 23 Oct 2012 07:00:00 -0000

ros-foxy-pcl-ros (1.0.13-1focal) focal; urgency=high

  * install library to the right place

 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Oct 2012 00:46:00 -0000

ros-foxy-pcl-ros (1.0.12-1focal) focal; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Oct 2012 00:25:00 -0000

ros-foxy-pcl-ros (1.0.11-1focal) focal; urgency=high

  * fix a few dependencies

 -- Paul Bovbel <paul@bovbel.com>  Wed, 10 Oct 2012 07:00:00 -0000

ros-foxy-pcl-ros (1.0.10-1focal) focal; urgency=high

  * comply to the new catkin API
  * fixed pcl_ros manifest
  * added pcl exports in manifest.xml
  * fixed rosdeb pcl in pcl_ros/manifest.xml
  * removing common_rosdeps from manifest.xml
  * perception_pcl restructuring in groovy branch
  * restructuring perception_pcl in groovy branch
  * catkinized version of perception_pcl for groovy
  * added PCL 1.6 stack for groovy

 -- Paul Bovbel <paul@bovbel.com>  Thu, 04 Oct 2012 07:00:00 -0000


